
textures/water/water
{
 	qer_editorimage textures/water/water.tga
        qer_trans 0.5
        q3map_globaltexture
 	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
 	surfaceparm noimpact
 	surfaceparm nolightmap
 	surfaceparm nomarks
 	surfaceparm nodlight
        surfaceparm water

        cull disable
 	nopicmip
       {
           map textures/water/water.tga
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scale 0.5 0.5
 	    tcMod turb 0.1 0.1 0.1 0.1
       }
       {
           map textures/water/water.tga
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scroll 0.05 -0.01
       }
       {
           map textures/water/water.tga
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scale 2 2
 	   tcMod turb 0 0.1 1 0.1
       }
 
}

textures/water/water2
{
	qer_editorimage textures/water/water.tga
        qer_trans 0.5
        q3map_globaltexture
	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        surfaceparm water

        cull disable
	nopicmip
	//fogparms ( 0.1 0.23 0.14 ) 1024
        {
            map textures/water/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 0.5 0.5
	    tcMod turb 0.1 0.1 0.1 0.1
        }
        {
            map textures/water/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scroll 0.05 -0.01
        }
        {
            map textures/water/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 2 2
	    tcMod turb 0 0.1 1 0.1
        }

}
textures/water/slime
{
	qer_editorimage textures/water/slime7.tga
	q3map_lightimage textures/water/slime7.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 1000
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/water/slime7c.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/water/slime7.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/water/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/water/lava
{
	qer_editorimage	textures/water/lava.tga
        q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 2500
	q3map_lightRGB 0.81 0.28 0.15
        qer_trans 0.5

        surfaceparm trans
	surfaceparm nolightmap
        surfaceparm lava 
        cull disable			 //Light goes under the lava with this O_o
	fogparms ( 0.94 0.50 0.16 ) 512
	{
		map textures/water/lava.tga
		blendFunc blend
		alphaGen const 0.5
		rgbGen identity
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/water/lava_glow.tga
		blendFunc add
		rgbGen wave sin 0 1 1 0.2
		alphaGen wave sin 0 1 0.4 0.2
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/water/lava.tga
		blendFunc blend
		alphaGen const 0.5
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.05 -0.01
		tcMod turb 0.1 0.1 0.5 0.1
	}
}
textures/water/lava2
{
	qer_editorimage	textures/water/lava.tga
        q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 2500
	q3map_lightRGB 0.81 0.28 0.15
        qer_trans 0.5

        surfaceparm trans
	surfaceparm nolightmap
        surfaceparm lava 
        cull disable			 //Light goes under the lava with this O_o
	fogparms ( 0.94 0.50 0.16 ) 512
	{
		map textures/water/lava.tga
		blendFunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/water/lava_glow.tga
		blendFunc add
		rgbGen wave sin 0 1 1 0.2
		alphaGen wave sin 0 1 0.4 0.2
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/water/lava.tga
		blendFunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.05 -0.01
		tcMod turb 0.1 0.1 0.5 0.1
	}
}
textures/water/watercaulk
{
	qer_editorimage textures/water/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
textures/water/slimecaulk
{
	qer_editorimage textures/water/slimecaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm slime
}
textures/water/lavacaulk
{
	qer_editorimage textures/water/lavacaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm lava
}


